Subject: Re: git error in tag ...: unterminated header

From: Jeff King <[email-masked]>
Date: Fri, 26 Jun 2015 11:52:48 -0400

On Fri, Jun 26, 2015 at 10:06:20AM +0200, Johannes Schindelin wrote:

> I understood what you were saying, but it still appears too fragile to
> me to mix functions that assume NUL-terminated strings with an ad-hoc
> counted string check.

Yeah, I agree. It is not that you cannot make it safe, but that it is
simply a fragile maintenance burden in the future. I thought we dealt
with this already with a1e920a (index-pack: terminate object buffers
with NUL, 2014-12-08), though.

-Peff